Lenovo Y700-17ISK: mmc0: Unknown controller version (3)

Bug #1553688 reported by aljosa on 2016-03-06
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

After installing and updating Xenial, dmesg notes:
[ 1.001432] mmc0: Unknown controller version (3). You may experience problems.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-10-generic 4.4.0-10.25
ProcVersionSignature: Ubuntu 4.4.0-10.25-generic 4.4.3
Uname: Linux 4.4.0-10-generic x86_64
ApportVersion: 2.20-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: aljosa 1776 F.... pulseaudio
CurrentDesktop: Unity
Date: Sun Mar 6 11:18:43 2016
HibernationDevice: RESUME=UUID=ac022671-63df-40ae-bffe-66fff3b35125
InstallationDate: Installed on 2016-03-05 (0 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160304)
MachineType: LENOVO 80Q0
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-10-generic.efi.signed root=UUID=aa4325c4-4b4c-4372-b8ca-a66c3e5b2aa6 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-10-generic N/A
 linux-backports-modules-4.4.0-10-generic N/A
 linux-firmware 1.156
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/31/2016
dmi.bios.vendor: LENOVO
dmi.bios.version: CDCN30WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: Allsparks 7A
dmi.board.vendor: LENOVO
dmi.board.version: NO DPK
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo ideapad Y700-17ISK
dmi.modalias: dmi:bvnLENOVO:bvrCDCN30WW:bd01/31/2016:svnLENOVO:pn80Q0:pvrLenovoideapadY700-17ISK:rvnLENOVO:rnAllsparks7A:rvrNODPK:cvnLENOVO:ct10:cvrLenovoideapadY700-17ISK:
dmi.product.name: 80Q0
dmi.product.version: Lenovo ideapad Y700-17ISK
dmi.sys.vendor: LENOVO

aljosa (aljosa-p) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Please:

1. Edit the report description, so it explains which steps you followed to recreate the bug and which are the consequences of it.
2. Set this report status back to "confirmed".

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
aljosa (aljosa-p) on 2016-03-07
description: updated
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

aljosa, in order to allow additional upstream developers to examine the issue, at your earliest convenience, could you please test the latest upstream kernel available from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
1) The one to test is at the very top line at the top of the page (not the daily folder).
2) The release names are irrelevant.
3) The folder time stamps aren't indicative of when the kernel actually was released upstream.
4) Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds .

If testing on your main install would be inconvenient, one may:
1) Install Ubuntu to a different partition and then test this there.
2) Backup, or clone the primary install.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Also, you don't need to apport-collect further unless specifically requested to do so.

Once testing of the latest upstream kernel is complete, please mark this report Status Confirmed. Please let us know your results.

Thank you for your understanding.

tags: added: latest-bios-cdcn30ww
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
description: updated
aljosa (aljosa-p) on 2016-03-09
tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-4.5-rc7
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

aljosa, to clarify, did this issue not occur in a release prior to Xenial?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
aljosa (aljosa-p) wrote :

This is a freshly purchased notebook, I think not compatible with previous Ubuntu versions because of lack of support for skylake processors.

aljosa, to clarify, do you actually have an issue with mmc functionality?

aljosa (aljosa-p) wrote :

I suppose 'mmc' is a 'memory card reader'. As I never use it, I always turn off 'memory card reader' inside bios settings but unfortunatelly there is no such an option in my new Lenovo notebook.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
aljosa (aljosa-p) wrote :

I've updated my BIOS to the latest version: CDCN35WW
I have now a fresh and totally clean installation of Ubuntu 16.04.

Here's an excerpt from my DMESG which you can find attached to this post:

[ 0.000035] ACPI: Core revision 20150930
[ 0.025040] ACPI Error: [\_SB_.PCI0.XHC_.RHUB.HS11] Namespace lookup failure, AE_NOT_FOUND (20150930/dswload-210)
[ 0.025045] ACPI Exception: AE_NOT_FOUND, During name lookup/catalog (20150930/psobject-227)
[ 0.025084] ACPI Exception: AE_NOT_FOUND, (SSDT:CB-01 ) while loading table (20150930/tbxfload-193)
[ 0.030567] ACPI Error: 1 table load failures, 7 successful (20150930/tbxfload-214)

[ 0.355622] pci 0000:01:00.0: can't claim BAR 6 [mem 0xfff80000-0xffffffff pref]: no compatible bridge window
[ 0.355647] pci 0000:01:00.0: BAR 6: no space for [mem size 0x00080000 pref]
[ 0.355648] pci 0000:01:00.0: BAR 6: failed to assign [mem size 0x00080000 pref]

[ 1.014162] mmc0: Unknown controller version (3). You may experience problems.

[ 1.943569] iwlwifi 0000:08:00.0: Direct firmware load for iwlwifi-8000C-19.ucode failed with error -2
[ 1.943596] iwlwifi 0000:08:00.0: Direct firmware load for iwlwifi-8000C-18.ucode failed with error -2
[ 1.943603] iwlwifi 0000:08:00.0: Direct firmware load for iwlwifi-8000C-17.ucode failed with error -2
[ 1.947507] iwlwifi 0000:08:00.0: Unsupported splx structure

[ 2.752029] Bluetooth: hci0: Failed to send firmware data (-38)

[ 4.755825] Bluetooth: hci0 command 0xfc05 tx timeout
[ 9.634400] usb 1-11: USB disconnect, device number 5
[ 9.634710] Bluetooth: hci0: Reading Intel version information failed (-19)

[ 11.436894] Bluetooth: hci0: Setting Intel event mask failed (-16)

[ 0.858435] [Firmware Bug]: No valid trip found
[ 0.861605] [Firmware Bug]: No valid trip found

This one is the most annoying error, it appears on screen during booting:
failure writing sector 0x21c8800 to 'hd0'
press any key to continue...

aljosa (aljosa-p) wrote :

This morning I installed new kernel 4.6-rc7-wily, but unfortunately nothing changes, all above errors are still here (including boot error: failure writing sector 0x21c8800 to 'hd0'/ press any key to continue...). Please find attached also my new dmesg.

Changed in linux (Ubuntu):
status: Expired → Confirmed
tags: added: kernel-bug-exists-upstream-4.6-rc7
removed: kernel-bug-exists-upstream-4.5-rc7
tags: added: latest-bios-cdcn35ww
removed: latest-bios-cdcn30ww
Changed in linux (Ubuntu):
importance: Low → Medium
Dirk Willrodt (dwillrodt) wrote :

I can confirm on my lenovo y700 (15something) that the SD-cardreader is not working (it did once)
if SD-card is inserted, dmesg shows:

    [11328.070304] mmc0: tuning execution failed
    [11328.070315] mmc0: error -5 whilst initialising SD card

I am on kernel: 4.4.0-28-generic

Vidmantas Norkus (wdm) wrote :

Same problem on lenovo y700-17ISK
dmesg | grep mmc
[ 1.064994] mmc0: Unknown controller version (3). You may experience problems.
[ 1.065010] sdhci-pci 0000:07:00.0: No vmmc regulator found
[ 1.065011] sdhci-pci 0000:07:00.0: No vqmmc regulator found
[ 1.068121] mmc0: SDHCI controller on PCI [0000:07:00.0] using ADMA
[ 1.467519] mmc0: tuning execution failed
[ 1.467521] mmc0: error -5 whilst initialising SD card
[ 1.875507] mmc0: tuning execution failed
[ 1.875511] mmc0: error -5 whilst initialising SD card
[ 2.275430] mmc0: tuning execution failed
[ 2.275434] mmc0: error -5 whilst initialising SD card
[ 2.703430] mmc0: tuning execution failed
[ 2.703433] mmc0: error -5 whilst initialising SD card

Vidmantas Norkus (wdm) wrote :

http://www.0xf8.org/2016/01/workaround-for-broken-o2-micro-sd-card-reader-support-since-linux-kernel-version-4-1-8/

rmmod sdhci sdhci_pci sdhci_acpi
modprobe sdhci debug_quirks2="0x4"
modprobe sdhci_pci

this helped

happydemic (happydemic) wrote :

Still present in bionic with HWE 18.04.2 (kernel 4.18.0-22).
Card reader fails with high-speed SDXC.

Confirmed upstream: https://bugzilla.kernel.org/show_bug.cgi?id=109231

lspci --nnk
01:00.0 SD Host controller [0805]: O2 Micro, Inc. SD/MMC Card Reader Controller [1217:8520] (rev 01)
 Subsystem: Dell SD/MMC Card Reader Controller [1028:062d]
 Kernel driver in use: sdhci-pci
 Kernel modules: sdhci_pci

dmesg:
[ 1.369287] sdhci-pci 0000:01:00.0: SDHCI controller found [1217:8520] (rev 1)
[ 1.371230] mmc0: Unknown controller version (3). You may experience problems.
[ 1.373523] mmc0: SDHCI controller on PCI [0000:01:00.0] using ADMA
.
.
.
[ 419.378067] mmc0: Tuning timeout, falling back to fixed sampling clock
[ 419.379875] mmc0: new ultra high speed SDR104 SDXC card at address 5048
[ 419.383087] mmcblk0: mmc0:5048 SD256 232 GiB
[ 419.386191] mmcblk0: p1
[ 429.519557] mmc0: Timeout waiting for hardware interrupt.
[ 429.519561] mmc0: sdhci: ============ SDHCI REGISTER DUMP ===========
[ 429.519566] mmc0: sdhci: Sys addr: 0x00000008 | Version: 0x00000603
[ 429.519571] mmc0: sdhci: Blk size: 0x00000200 | Blk cnt: 0x00000008
[ 429.519575] mmc0: sdhci: Argument: 0x00000008 | Trn mode: 0x0000003b
[ 429.519580] mmc0: sdhci: Present: 0x01ff0000 | Host ctl: 0x00000017
[ 429.519584] mmc0: sdhci: Power: 0x0000000f | Blk gap: 0x00000000
[ 429.519589] mmc0: sdhci: Wake-up: 0x00000000 | Clock: 0x00000007
[ 429.519593] mmc0: sdhci: Timeout: 0x0000000a | Int stat: 0x00000000
[ 429.519598] mmc0: sdhci: Int enab: 0x02ff008b | Sig enab: 0x02ff008b
[ 429.519602] mmc0: sdhci: AC12 err: 0x00000004 | Slot int: 0x00000000
[ 429.519607] mmc0: sdhci: Caps: 0x25bec8bf | Caps_1: 0x1000207f
[ 429.519612] mmc0: sdhci: Cmd: 0x0000123a | Max curr: 0x005800c8
[ 429.519616] mmc0: sdhci: Resp[0]: 0x00000900 | Resp[1]: 0x0742ff7f
[ 429.519621] mmc0: sdhci: Resp[2]: 0x325b5900 | Resp[3]: 0x80000900
[ 429.519624] mmc0: sdhci: Host ctl2: 0x0000800b
[ 429.519628] mmc0: sdhci: ADMA Err: 0x00000000 | ADMA Ptr: 0x3541f208
[ 429.519629] mmc0: sdhci: ============================================
[ 450.058602] mmc0: Tuning timeout, falling back to fixed sampling clock

See https://bugzilla.kernel.org/show_bug.cgi?id=109231#c12

Workaround updated to:
rmmod sdhci_pci sdhci sdhci_acpi
modprobe sdhci debug_quirks2="0x80000000"
modprobe sdhci_pci

Kai-Heng Feng (kaihengfeng) wrote :

Please test latest mainline kernel:
https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.2-rc6/

Particularly,
commit 0086fc217d5d7ac2939c500733d1d046b9ac5012
Author: ernest.zhang <email address hidden>
Date: Mon Jul 16 14:26:54 2018 +0800

    mmc: sdhci: Add support for O2 hardware tuning

    Add hardware tuning function instead of software tuning because O2/Bayhub
    SD host controller support hardware tuning.

    Signed-off-by: ernest.zhang <email address hidden>
    Acked-by: Adrian Hunter <email address hidden>
    Signed-off-by: Ulf Hansson <email address hidden>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.